## heat-cfntools 1.2.5

=== requirements.txt ===
pbr>=0.5.16,<0.6

boto==2.5.2
psutil<1.0

=== debian/changelog ===
heat-cfntools (1.2.5-1) unstable; urgency=low

  * Initial Release. (Closes: #725064)

 -- gustavo panizzo <gfa@zumbi.com.ar>  Tue, 24 Sep 2013 11:35:29 -0300

=== debian/control ===
Source: heat-cfntools
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: gustavo panizzo <gfa@zumbi.com.ar>, Thomas Goirand <zigo@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               openstack-pkg-tools,
               python (>= 2.6),
               python-boto (>= 2.5.2),
               python-pbr (<= 0.6),
               python-pbr (>= 0.5.16),
               python-psutil (>= 1.0),
               python-setuptools (>= 0.6b3),
               python-sphinx
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat-cfntools.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/heat-cfntools.git
Homepage: https://wiki.openstack.org/Heat

Package: heat-cfntools
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Pre-Depends: dpkg (>= 1.15.6~)
Description: Tools required to be installed on Heat provisioned cloud
 This package contains tools for use with CloudFormation
 cfn-init   - Reads the AWS::CloudFormation::Init for the instance resource,
              installs packages, and starts services
 cfn-signal - Waits for an application to be ready before continuing, ie:
              supporting the WaitCondition feature
 cfn-hup    - Handle updates from the UpdateStack CloudFormation API call

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/openstack-pkg-tools/pkgos.make


%:
	dh $@ --with python2

override_dh_auto_install:

override_dh_auto_build:

override_dh_auto_clean:
	rm -rf docs/build

override_dh_installman:
	make -C doc man
	dh_installman doc/build/man/*

## heat-cfntools 1.2.7

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
argparse
boto>=2.12.0,!=2.13.0
psutil>=1.1.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Heat.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Heat.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Heat"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Heat"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
heat-cfntools (1.2.7-2) unstable; urgency=medium

  * Added missing /usr/lib/python* in the package (Closes: #771809).

 -- Thomas Goirand <zigo@debian.org>  Tue, 02 Dec 2014 23:41:46 +0800

heat-cfntools (1.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Fixed (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Apr 2014 23:01:58 +0800

heat-cfntools (1.2.6-1) unstable; urgency=low

  * New upstream release.

 -- gustavo panizzo <gfa@zumbi.com.ar>  Wed, 04 Dec 2013 09:57:15 -0300

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,17 @@
 Build-Depends: debhelper (>= 9),
                openstack-pkg-tools,
                python (>= 2.6),
-               python-boto (>= 2.5.2),
-               python-pbr (<= 0.6),
-               python-pbr (>= 0.5.16),
-               python-psutil (>= 1.0),
+               python-pbr (>= 0.6),
                python-setuptools (>= 0.6b3),
                python-sphinx
+Build-Depends-Indep: python-boto (>= 2.12.0),
+                     python-hacking (>= 0.8.0),
+                     python-mox3,
+                     python-psutil (>= 1.1.1),
+                     python-subunit (>= 0.0.18),
+                     python-testtools (>= 0.9.32),
+                     subunit (>= 0.0.18),
+                     testrepository (>= 0.0.18)
 Standards-Version: 3.9.4
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat-cfntools.git;a=summary
 Vcs-Git: git://anonscm.debian.org/openstack/heat-cfntools.git
@@ -19,7 +24,11 @@
 
 Package: heat-cfntools
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}
+Depends: python-boto (>= 2.12.0),
+         python-pbr (>= 0.6),
+         python-psutil (>= 1.1.1),
+         ${misc:Depends},
+         ${python:Depends}
 Pre-Depends: dpkg (>= 1.15.6~)
 Description: Tools required to be installed on Heat provisioned cloud
  This package contains tools for use with CloudFormation

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

%:
	dh $@ --with python2

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/heat-cfntools; \
        done

override_dh_auto_build:

override_dh_auto_clean:
	rm -rf docs/build

override_dh_installman:
	make -C doc man
	dh_installman doc/build/man/*
	
override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e && \
		TEMP_REZ=`mktemp -t` && \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit || true ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats || true ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

## heat-cfntools 1.2.8

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
argparse
boto>=2.12.0,!=2.13.0
psutil>=1.1.1,<2.0.0

=== debian/changelog ===
heat-cfntools (1.2.8-1+20~bpo8+1) UNRELEASED; urgency=medium

  [ gustavo panizzo ]
  * New upstream release.
  * Standards Version updated. No changes needed.

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/copyright: Changed shortname: BSD -> BSD-3-clause
  * d/copyright: Changed source URL to https protocol

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Fri, 16 Sep 2016 12:08:02 +0000

=== debian/control ===
--- 
+++ 
@@ -17,9 +17,9 @@
                      python-testtools (>= 0.9.32),
                      subunit (>= 0.0.18),
                      testrepository (>= 0.0.18)
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/heat-cfntools.git;a=summary
-Vcs-Git: git://anonscm.debian.org/openstack/heat-cfntools.git
+Standards-Version: 3.9.5
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/heat-cfntools.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/heat-cfntools.git
 Homepage: https://wiki.openstack.org/Heat
 
 Package: heat-cfntools

## heat-cfntools 1.4.2

=== requirements.txt ===
pbr>=0.6,!=0.7,<1.0
boto>=2.12.0,!=2.13.0
psutil>=1.1.1,<2.0.0
six>=1.9.0

=== debian/changelog ===
heat-cfntools (1.4.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 15:39:27 +0200

heat-cfntools (1.4.2-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/copyright: Changed shortname: BSD -> BSD-3-clause
  * d/copyright: Changed source URL to https protocol
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Set Vcs-* to salsa.debian.org

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switch to Python 3.
  * Removed gustavo panizzo <gfa@zumbi.com.ar> from uploaders.
  * Add dh-python as build-depends.
  * Add dh_python3 --shebang=/usr/bin/python3.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 17:24:58 +0200

=== debian/control ===
Source: heat-cfntools
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 0.6),
 python3-setuptools (>= 0.6b3),
 python3-sphinx,
Build-Depends-Indep:
 python3-six,
 python3-boto (>= 2.12.0),
 python3-hacking (>= 0.8.0),
 python3-mock,
 python3-psutil (>= 1.1.1),
 python3-subunit (>= 0.0.18),
 python3-testtools (>= 0.9.32),
 subunit (>= 0.0.18),
 testrepository (>= 0.0.18),
Standards-Version: 4.1.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/heat-cfntools
Vcs-Git: https://salsa.debian.org/openstack-team/services/heat-cfntools.git
Homepage: https://wiki.openstack.org/Heat

Package: heat-cfntools
Architecture: all
Depends:
 python3-boto (>= 2.12.0),
 python3-pbr (>= 0.6),
 python3-psutil (>= 1.1.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Tools required to be installed on Heat provisioned cloud
 This package contains tools for use with CloudFormation
 cfn-init   - Reads the AWS::CloudFormation::Init for the instance resource,
              installs packages, and starts services
 cfn-signal - Waits for an application to be ready before continuing, ie:
              supporting the WaitCondition feature
 cfn-hup    - Handle updates from the UpdateStack CloudFormation API call

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_clean:
	rm -rf docs/build

override_dh_installman:
	make -C doc man
	dh_installman doc/build/man/*
	
override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
https://github.com/openstack/heat-cfntools/tags .*/(\d[\d\.]+)\.tar\.gz
